Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.editor
Interface IdeEditorVisibleArea

public interface IdeEditorVisibleArea

A visible area in Together's text editor.

This interface provides methods for getting information about the visible area, as well as for changing the visible area.

Author:
  TogetherSoft
See Also: IdeEditor

Method Summary
`int` | `getFirstColumn()` Returns the number of the first column in this visible area.
`int` | `getFirstLine()` Returns the number of the first line of this visible area.
`int` | `getHeight()` Returns the height of this visible area as a number of characters.
`int` | `getLastColumn()` Returns the number of the last column in this visible area.
`int` | `getLastLine()` Returns the number of the last line in this visible area.
`int` | `getWidth()` Returns the width of this visible area as a number of characters.
`void` | `setFirstColumn(int col)` Sets the first column in this visible area to the specified value.
`void` | `setFirstLine(int line)` Sets the first line in this visible area to the specified value.
`void` | `setLastColumn(int col)` Sets the last column in this visible area to the specified value.
`void` | `setLastLine(int line)` Sets the last line in this visible area to the specified value.

Method Detail

### getFirstColumn

    public int getFirstColumn()

  Returns the number of the first column in this visible area.
  Returns: `int` number of the first column in this visible area

### getFirstLine

    public int getFirstLine()

  Returns the number of the first line of this visible area.
  Returns: `int` number of the first line in this visible area

### getHeight

    public int getHeight()

  Returns the height of this visible area as a number of characters.
  Returns: `int` height of this visible area

### getLastColumn

    public int getLastColumn()

  Returns the number of the last column in this visible area.
  Returns: `int` number of the last column in this visible area

### getLastLine

    public int getLastLine()

  Returns the number of the last line in this visible area.
  Returns: `int` number of the last line in this visible area

### getWidth

    public int getWidth()

  Returns the width of this visible area as a number of characters.
  Returns: `int` width of this visible area

### setFirstColumn

    public void setFirstColumn(int col)

  Sets the first column in this visible area to the specified value.
  Parameters:
    col - `int` number of the column to be made in the visible area

### setFirstLine

    public void setFirstLine(int line)

  Sets the first line in this visible area to the specified value.
  Parameters:
    line - `int` number of the line to be made first in the visible area

### setLastColumn

    public void setLastColumn(int col)

  Sets the last column in this visible area to the specified value.
  Parameters:
    col - `int` number of this column

### setLastLine

    public void setLastLine(int line)

  Sets the last line in this visible area to the specified value.
  Parameters:
    line - `int` number of this line

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD